Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.protocol.data
Class SimulatedGridDataFactory

    java.lang.Object
      lbg.protocol.data.SimulatedGridDataFactory

    public class SimulatedGridDataFactory

extends java.lang.Object

Factory of SimulatedGridData.

Author:
  Cyril Briquet

Constructor Summary
`SimulatedGridDataFactory(boolean random_salt, int max_salt_value)` Creates a new SimulatedGridDataFactory.

Method Summary
`SimulatedGridData` | `createSimulatedGridData(java.lang.String peer_id)`
`SimulatedGridData` | `createSimulatedGridData(java.lang.String peer_id, java.lang.String suffix)`
`GridData[][]` | `createSimulatedGridDataArray(java.lang.String consumer_peer_id)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimulatedGridDataFactory

    public SimulatedGridDataFactory(boolean random_salt,
                                    int max_salt_value)
                             throws GridException

  Creates a new SimulatedGridDataFactory.

  Parameters:
    `random_salt` - true if filename salts should be selected randomly, false if they should be selected arbitrarily
    `max_salt_value` - maximum salt value
  Throws:
    `GridException` - if a parameter is illegal

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createSimulatedGridData

    public SimulatedGridData createSimulatedGridData(java.lang.String peer_id,
                                                     java.lang.String suffix)
                                              throws GridException

  Throws:
    `GridException`

### createSimulatedGridData

    public SimulatedGridData createSimulatedGridData(java.lang.String peer_id)
                                              throws GridException

  Throws:
    `GridException`

### createSimulatedGridDataArray

    public GridData[][] createSimulatedGridDataArray(java.lang.String consumer_peer_id)
                                              throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.